# Class ExtendedAccessLogValve.CookieElement

java.lang.Object
org.apache.catalina.valves.ExtendedAccessLogValve.CookieElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `ExtendedAccessLogValve`

protected static class ExtendedAccessLogValve.CookieElement extends Object implements AbstractAccessLogValve.AccessLogElement
Log element that outputs the value(s) of a named cookie.

## Constructor Summary

Constructors
Constructor
Description
`CookieElement(String name)`
Creates a new CookieElement for the specified cookie name.

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CookieElement

public CookieElement(String name)
Creates a new CookieElement for the specified cookie name.

Parameters:
  `name` - the name of the cookie

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`